Package Details: virtualbox-bin-5.0 5.0.40-1

Git Clone URL: https://aur.archlinux.org/virtualbox-bin-5.0.git (read-only)
Package Base: virtualbox-bin-5.0
Description: Oracle VM VirtualBox Binary Edition (Oracle branded non-OSE version)
Upstream URL: http://virtualbox.org/
Licenses: GPL2
Conflicts: virtualbox, virtualbox-host-modules, virtualbox-modules, virtualbox-ose
Provides: virtualbox=5.0.40
Replaces: virtualbox-sun, virtualbox_bin
Submitter: kazi
Maintainer: kazi
Last Packager: kazi
Votes: 4
Popularity: 0.043613
First Submitted: 2016-11-01 10:40
Last Updated: 2017-08-02 10:52

Required by (21)

Sources (5)

Latest Comments

aleksander0m commented on 2017-09-25 12:57

Several build failures of the kernel module on 4.12.13-1-ARCH, e.g.:

In file included from /var/lib/dkms/vboxhost/5.0.40/build/vboxdrv/r0drv/linux/alloc-r0drv-linux.c:31:0:
/var/lib/dkms/vboxhost/5.0.40/build/vboxdrv/r0drv/linux/alloc-r0drv-linux.c: In function ‘VBoxHost_RTMemContAlloc’:
/var/lib/dkms/vboxhost/5.0.40/build/vboxdrv/r0drv/linux/the-linux-kernel.h:313:47: error: implicit declaration of function ‘set_pages_x’; did you mean ‘get_page’? [-Werror=implicit-function-declaration]
# define MY_SET_PAGES_EXEC(pPages, cPages) set_pages_x(pPages, cPages)
^
/var/lib/dkms/vboxhost/5.0.40/build/vboxdrv/r0drv/linux/alloc-r0drv-linux.c:444:13: note: in expansion of macro ‘MY_SET_PAGES_EXEC’
MY_SET_PAGES_EXEC(&paPages[iPage], 1);
^~~~~~~~~~~~~~~~~

stef204 commented on 2017-08-05 11:04

@kazi
thanks for fixing .SRCINFO

there is still a problem with this package: the dkms modules do NOT build with latest official Arch kernel 4.12.4-1. This started with 4.12.3-1. The 5.0.40 modules DO build with 4.11.7-1.

==> dkms install vboxhost/5.0.40 -k 4.12.4-1-ARCH
Error! Bad return status for module build on kernel: 4.12.4-1-ARCH (x86_64)
Consult /var/lib/dkms/vboxhost/5.0.40/build/make.log for more information.

I can send you the make.log file but you should have same error on your side with 4.12.4-1.

It "could" be related to https://bbs.archlinux.org/viewtopic.php?id=228645 and/or could be mismatch of versions needing patching as described here https://www.reddit.com/r/i3wm/comments/4u1wj6/virtualbox_i3_on_arch_issues_for_anyone_else/ and here https://www.virtualbox.org/attachment/ticket/15695/mod_timer.patch

Although I tried it just now and build still failed. You might have to check with upstream, there are helpful devs in freenode #vbox.

Let me know if I can help.

kazi commented on 2017-08-02 10:58

@stef204: I fixed .SRCINFO on both packages.

stef204 commented on 2017-08-01 10:23

Thanks. You have the same problem with virtualbox-ext-oracle (in addition to a build problem, if you can check my comment there.)

kazi commented on 2017-08-01 05:56

@stef204: It looks like I forgot to generate new .SRCINFO for this package. I will fix it when I get to my computer. Thanks for the information.

stef204 commented on 2017-07-29 13:18

I flagged this package as out of date as 5.0.40 is out but it looks like the version in the PKGBUILD is 5.0.40. (Unflagged now).
The name of package shows up in AUR web page as "Package Details: virtualbox-bin-5.0 5.0.34-1."
This confusing. The package name when searched with pacman -Qs or -Qi also come up with 5.0.34-1 while I believe only the name is incorrect.
This is confusing.
Can you please check into it?

kazi commented on 2017-05-03 22:49

@shillshocked: This package provides VirtualBox 5.0. For VirtualBox 5.1 please use "virtualbox" package in official repository.

shillshocked commented on 2017-05-01 07:29

Virtualbox 5.1.22 r115126 is out with much needed updates.